<?php 


	function validaPermiso($pantalla,$objeto,$usuario){	
	include "conexion.php";		
		$var = 0;		
		$sql = "select ";
		$sql .= "permiso ";
		$sql .= "from ";
		$sql .= "pantalla_objeto a, ";
		$sql .= "permiso b ";
		$sql .= "where ";
		$sql .= "a.id_pantalla=b.id_pantalla ";
		$sql .= " and ";
		$sql .= "a.id_objeto=b.id_objeto ";
		$sql .= " and ";
		$sql .= " a.id_aplicacion = b.id_aplicacion  ";
		$sql .= " and ";
		$sql .= "b.id_usuario= '" . $usuario . "' ";
		$sql .= " and ";
		$sql .= "a.pantalla_nombre= '" . $pantalla . "'" ;
		$sql .= " and ";
		$sql .= "a.objeto_nombre='" . $objeto . "'";
		$sql .= " and a.id_aplicacion=6 ";
										
		$resultado = $conexion->query($sql); 
		
		
		if(!$resultado) 
			die("Error en busqueda de permisos: " .$sql );
			
		while($fila = $resultado->fetch_assoc()) 
		{
			$var = $fila['permiso'];													
		}	
		$resultado->free();

		mysqli_close($conexion);
		return $var;
	}
?> 
	